Bug 54455 - Serial speed cannot be set up
Serial speed cannot be set up
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: grub (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-08 15:23 EDT by Jan "Yenya" Kasprzak
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-11 17:28:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2001-10-08 15:23:45 EDT
Description of Problem:
When I try to set up GRUB for serial console, I cannot set the speed
different than 9600 bps (tried 115200, 38400 and 19200). I have the
following commands in /boot/grub/grub.conf:

serial --unit 0 --speed 19200
terminal serial

However, the boot loader still communicates at 9600 bps.
Both BIOS setup and kernel is capable to communicate at different
speeds (the console=tty0,38400n8 kernel parameter works as expected),
I just cannot change the speed of GRUB.

Version-Release number of selected component (if applicable):
grub-0.90-11 (actually this is a RPM from yet-unreleased Red Hat 7.2 - I am
one of the official mirrors).

Additional Information:
The machine is Tyan Thunder K7 with dual Athlon/MP @1.2 GHz. This mainboard
BIOS setup can also work over the serial line. It is just a bit slow
at 9600 bps, so I've wanted to set the whole boot process up to the higher
speed.

-Yenya
Comment 1 Jeremy Katz 2001-10-11 17:28:38 EDT
I'll try to take a look at this in the near future
Comment 2 Jeremy Katz 2002-08-11 16:19:46 EDT
Should work with what's in 7.3 and rawhide

Note You need to log in before you can comment on or make changes to this bug.